Skip Menu |
 

This queue is for tickets about the version CPAN distribution.

Report information
The Basics
Id: 16249
Status: resolved
Priority: 0/
Queue: version

People
Owner: Nobody in particular
Requestors: jtanner [...] amazon.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: Missing vpp.pm
Download (untitled) / with headers
text/plain 321b
perl 5.6.0 I have had several packages where it generated "Can't locate version/vpp.pm", however, vpp.pm is not in the MANIFEST of the current version package. For example, I had initially filed a bug report against Log::StdLog: http://rt.cpan.org/NoAuth/Bug.html?id=16239 And the author said it was a bug with version.
Download (untitled) / with headers
text/plain 925b
[guest - Fri Dec 2 02:02:03 2005]: Show quoted text
> perl 5.6.0 > > I have had several packages where it generated "Can't locate > version/vpp.pm", however, vpp.pm is not in the MANIFEST of the > current version package.
You haven't told me what version of version.pm you have installed, so I cannot help you very much. You also didn't tell me what platform you are running on (normally this would be done by including the contents of 'perl -V' in the bug report. However, I'll hazard a guess that you are not running Perl on a machine where you can build XS modules (i.e. you don't have a compiler), which is the only way that version.pm can be be used at the moment. I'm going to release a new version.pm to CPAN in the next day or two that make this more explicit. I don't understand how you could have installed version.pm in the first place, since the tests will all fail when you are unable to build the XS library. John
Download (untitled) / with headers
text/plain 1.1k
[JPEACOCK - Fri Dec 2 08:02:02 2005]: Show quoted text
> [guest - Fri Dec 2 02:02:03 2005]: >
> > perl 5.6.0 > > > > I have had several packages where it generated "Can't locate > > version/vpp.pm", however, vpp.pm is not in the MANIFEST of the > > current version package.
> > You haven't told me what version of version.pm you have installed, so > I > cannot help you very much. You also didn't tell me what platform you > are running on (normally this would be done by including the contents > of > 'perl -V' in the bug report. > > However, I'll hazard a guess that you are not running Perl on a > machine > where you can build XS modules (i.e. you don't have a compiler), which > is the only way that version.pm can be be used at the moment. I'm > going > to release a new version.pm to CPAN in the next day or two that make > this more explicit. I don't understand how you could have installed > version.pm in the first place, since the tests will all fail when you > are unable to build the XS library. > > John
perl 5.6.0 version-0.49 I had performed: perl Makefile.PL make make test << all tests succeeded however, looking within ./blib/lib/version, only vxs.pm existed, and not vpp.pm
Download (untitled) / with headers
text/plain 430b
[guest - Fri Dec 2 14:09:20 2005]: Show quoted text
> perl 5.6.0
Could I get the output of 'perl -V' so I can try and replicate this? Show quoted text
> version-0.49 > > I had performed: > perl Makefile.PL > make > make test << all tests succeeded > > however, looking within ./blib/lib/version, only vxs.pm existed, and > not > vpp.pm
Do you have Module::Build installed? If so, could you do this instead? perl Build.PL ./Build ./Build test TIA John
Download (untitled) / with headers
text/plain 332b
[JPEACOCK - Fri Dec 2 14:49:00 2005]: Show quoted text
> Do you have Module::Build installed? If so, could you do this > instead?
Duh! Of course you have Module::Build installed (the Makefile.PL is just a compatibility wrapper). What version of Module::Build are you running? perl -MModule::Build -le 'print $Module::Build::VERSION' John
Module::Build 0.19
Download (untitled) / with headers
text/plain 407b
[guest - Fri Dec 2 16:01:14 2005]: Show quoted text
> Module::Build 0.19
Ah, that would be the problem. I'm suprised it built at all. :0 I'll have a specific minimum Module::Build release included with version-0.50, so that won't be an issue again. If you can upgrade to a more modern Module::Build (0.2611 is the current production release) and try and reinstall version.pm, I think you should be much happier. John
Download (untitled) / with headers
text/plain 243b
The uploaded file version-0.50.tar.gz has entered CPAN as file: $CPAN/authors/id/J/JP/JPEACOCK/version-0.50.tar.gz size: 32356 bytes md5: ac3cfa9ab5d82f179ddb276508699cce Includes changes which should resolve your issue. THanks
Download (untitled) / with headers
text/plain 160b
It is so easy to contaminate one's PERL environment. Doing a clean reinstall of perl 5.8.7, and Module::Build, everything is fine with version 0.5 Thanks


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.